Subject: bug#53977: Improve markup in man pages

From: Paul Eggert <[email-masked]>
Date: Mon, 14 Feb 2022 19:07:34 -0800

On 2/14/22 15:00, Pádraig Brady wrote:
> 
> I see Paul added the grep markup recently in a seemingly unrelated change:
> https://git.savannah.gnu.org/gitweb/?p=grep.git;a=commit;h=fe630c9f
In the old days man pages' SEE ALSO sections mostly didn't use markup 
for references to other man pages. I see only one exception in 7th 
edition UNIX (1979): its man page for yacc used ".IR lex (1)" instead of 
plain "lex(1)".

Nowadays it seems that ".BR lex (1)" is what's preferred for this sort 
of thing, so I've been switching to this style desultorily in man pages 
when someone points it out, most recently in diffutils today:

https://git.savannah.gnu.org/gitweb/?p=diffutils.git;a=commitdiff;h=dd9deb765548679e821be565229bb2e142d93573

As usual man pages are low priority for the GNU project. That being 
said, this sort of thing is an easy change.